Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		qwt
#Epoch:		0
Version:	5.2.1
Release:	2
License:	Qwt License 1.0
URL:		http://qwt.sourceforge.net/index.html
Group:		System/Libraries
Summary:	Qwt is a graphics extension to the Qt GUI application framework
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:
Patch0:		qwt-docdir.patch
Patch1:		qwt-enable-plotsvg.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel

%description
The Qwt library contains GUI Components and utility classes which are primarily useful for programs with a technical background. Beside a 2D plot widget it provides scales, sliders, dials, compasses, thermometers, wheels and knobs to control or display values, arrays, or ranges of type double.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
prefix=%_prefix
for i in $(grep -lR /usr/local *)
do
        sed -i "s#/usr/local/qwt-%{version}#$prefix# g" "$i"
done


%build
qmake-qt4
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libqwt.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/qwt.h
%{_includedir}/qwt_*.h
%{_libdir}/libqwt.so
%{_libdir}/qt4/plugins/designer/libqwt_designer_plugin.so
%{_docdir}/qwt

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 5.2.1-2
- rebuilt against qt 4.7.0-2
* Tue Jul 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 5.2.1-1
- initial CCux package release
